## ros-melodic-mrpt-localization 0.1.26

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_localization)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp tf std_msgs nav_msgs sensor_msgs mrpt_msgs mrpt_bridge pose_cov_ops dynamic_reconfigure)

## System dependencies are found with CMake's conventions
find_package(MRPT 1.5 REQUIRED gui obs slam)
message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")
if (MRPT_VERSION VERSION_LESS "1.9.9")
	set (CMAKE_CXX_STANDARD 14)
endif()

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

# Add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/Motion.cfg
  cfg/RosInterface.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${PROJECT_NAME}_core
  CATKIN_DEPENDS roscpp tf std_msgs nav_msgs sensor_msgs mrpt_msgs mrpt_bridge pose_cov_ops dynamic_reconfigure
#  DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(${PROJECT_NAME}_core
   src/${PROJECT_NAME}/${PROJECT_NAME}_core.cpp
)

add_library(${PROJECT_NAME}
   src/${PROJECT_NAME}/${PROJECT_NAME}.cpp
   src/${PROJECT_NAME}/${PROJECT_NAME}_parameters.cpp
)

## Declare a cpp executable
add_executable(${PROJECT_NAME}_node
    src/${PROJECT_NAME}_node.cpp
    src/${PROJECT_NAME}_node_parameters.cpp
)


## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(${PROJECT_NAME}
   mrpt_msgs_generate_messages_cpp
   ${catkin_EXPORTED_TARGETS}
   ${PROJECT_NAME}_gencfg
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_core
  ${MRPT_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}
  ${MRPT_LIBRARIES}
  ${PROJECT_NAME}_core
)

target_link_libraries(${PROJECT_NAME}_node
  ${MRPT_LIBRARIES}
   ${catkin_LIBRARIES}
   ${PROJECT_NAME}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_node ${PROJECT_NAME}_core ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-mrpt-localization (0.1.26-1stretch) stretch; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.25-1stretch) stretch; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.24-1stretch) stretch; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.23-1stretch) stretch; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.22-1stretch) stretch; urgency=high

  * fix all catkin_lint errors
  * remove exec +x flag to cfg files
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.21-1stretch) stretch; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state
  * Prevent extrapolation into the past when publishing the tf and handle update/not update more nicelly. Also, ROS-format variables
  * Contributors: Ashish Raste, Borys Tymchenko, Hunter Laux, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, Nikos Koukis, corot

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.20-1stretch) stretch; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state


=== debian/control ===
Source: ros-melodic-mrpt-localization
Section: misc
Priority: extra
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt-msgs, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-pose-cov-ops, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf
Homepage: http://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt-msgs, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-pose-cov-ops, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf
Description: Package for robot 2D self-localization using dynamic or static (MRPT or ROS) maps.
 The interface is similar to amcl (http://wiki.ros.org/amcl) but supports different particle-filter algorithms, several grid maps at different heights, range-only localization, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mrpt-localization//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mrpt-localization 1.0.4

=== debian/changelog ===
ros-melodic-mrpt-localization (1.0.4-1bionic) bionic; urgency=high

  * Fix build against mrpt >=2.7.0
  * add initial pose for localization as param
  * Contributors: Jose Luis Blanco-Claraco, SRai22

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 Mar 2023 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.3-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.2-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.1-1bionic) bionic; urgency=high

  * fix all build errors; removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * modernize cmake
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-localization (1.0.0-1bionic) bionic; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #118 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/118> from mx-robotics/ag-remove_laser_tf_cache
    continuous laser pose update from tf tree fag added
  * added ROS parameter continuous sensor pose update
  * Fix incorrect publication of estimated pose (Closes: #117 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/117>)
  * Contributors: Jose Luis Blanco Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.26-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.25-1bionic) bionic; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.24-1bionic) bionic; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.23-1bionic) bionic; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.22-1bionic) bionic; urgency=high

  * fix all catkin_lint errors
  * remove exec +x flag to cfg files
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.21-1bionic) bionic; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state
  * Prevent extrapolation into the past when publishing the tf and handle update/not update more nicelly. Also, ROS-format variables
  * Contributors: Ashish Raste, Borys Tymchenko, Hunter Laux, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, Nikos Koukis, corot

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-mrpt-localization (0.1.20-1bionic) bionic; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake


=== debian/control ===
Source: ros-melodic-mrpt-localization
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-msgs, ros-melodic-mrpt-msgs-bridge, ros-melodic-mrpt2, ros-melodic-nav-msgs, ros-melodic-pose-cov-ops, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://www.mrpt.org/
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-msgs, ros-melodic-mrpt-msgs-bridge, ros-melodic-mrpt2, ros-melodic-nav-msgs, ros-melodic-pose-cov-ops, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: Package for robot 2D self-localization using dynamic or static (MRPT or ROS) maps.
 The interface is similar to amcl (https://wiki.ros.org/amcl) but supports different particle-filter algorithms, several grid maps at different heights, range-only localization, etc.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
